Pi Durable Platformdocs
ReferenceModels and usage

The models the team may use (its members and service accounts, platform staff)

GET
/v1/teams/{team}/models

The team's own providers' models (providerTeam set) and the platform's published to it. A team's own models are never available to another team.

Path Parameters

team*string

Team slug or ID

Response Body

Models published to the team

application/json
  1. response
data*array<>
curl -X GET 'https://agents.example.com/v1/teams/string/models'
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "providerId": "4834bcdc-4a64-444d-966b-1a6fe381da24",      "providerName": "string",      "providerKind": "string",      "providerEnabled": true,      "accessMode": "proxy",      "upstreamId": "string",      "name": "string",      "contextWindow": 0,      "maxTokens": 0,      "images": true,      "reasoning": true,      "inputPrice": 0,      "outputPrice": 0,      "enabled": true,      "visibility": "all",      "personal": true,      "teams": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "slug": "string",          "name": "string"        }      ],      "providerTeam": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "slug": "string",        "name": "string",        "kind": "team"      },      "revision": 0,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}